/*
*/
#ifndef Phonon_GST_BRIGHTNESSCONTROL_H
#define Phonon_GST_BRIGHTNESSCONTROL_H

#include <QTime>
#include "videoeffect.h"

namespace Phonon
{
namespace Gst
{
	class BrightnessControl : public VideoEffect
	{
		Q_OBJECT
		public:
			BrightnessControl( QObject* parent );
			~BrightnessControl();

		public Q_SLOTS:
			int brightness() const;
			void setBrightness( int brightness );

			int lowerBound() const;
			int upperBound() const;

		private:
			int m_brightness;
	};
}} //namespace Phonon::Gst

// vim: sw=4 ts=4 tw=80
#endif // Phonon_GST_BRIGHTNESSCONTROL_H
